#ifndef __CMT2300_PARAMS_H
#define __CMT2300_PARAMS_H

/* [CMT Bank] */
const uint8_t g_cmt2300CmtBank[CMT2300_CMT_BANK_SIZE] = {
    0x00,
    0x66,
    0xEC,
    0x1C,
    0xF0,
    0x80,
    0x14,
    0x08,
    0x11,
    0x03,
    0x02,
    0x00,
};

/* [System Bank] */
const uint8_t g_cmt2300SystemBank[CMT2300_SYSTEM_BANK_SIZE] = {
    0xAE,
    0xE0,
    0x35,
    0x00,
    0x00,
    0xF4,
    0x10,
    0xE2,
    0x42,
    0x20,
    0x00,
    0x81,
};

/* [Frequency Bank] */
const uint8_t g_cmt2300FrequencyBank[CMT2300_FREQUENCY_BANK_SIZE] = {
    0x4E,
    0x8C,
    0x14,
    0x98,
    0x4E,
    0x76,
    0x62,
    0x17,
};

/* [Data Rate Bank] */
const uint8_t g_cmt2300DataRateBank[CMT2300_DATA_RATE_BANK_SIZE] = {
    0xD3,
    0x64,
    0x10,
    0x33,
    0xE9,
    0x35,
    0x1F,
    0x06,
    0x9F,
    0x4B,
    0x29,
    0x29,
    0xC0,
    0x28,
    0x0A,
    0x53,
    0x08,
    0x00,
    0xB4,
    0x00,
    0x00,
    0x01,
    0x00,
    0x00,
};

/* [Baseband Bank] */
const uint8_t g_cmt2300BasebandBank[CMT2300_BASEBAND_BANK_SIZE] = {
    0x12,
    0x08,
    0x00,
    0xAA,
    0x02,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0xD4,
    0x2D,
    0x00,
    0x1F,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x60,
    0xFF,
    0x00,
    0x00,
    0x1F,
    0x10,
};

/* [Tx Bank] */
const uint8_t g_cmt2300TxBank[CMT2300_TX_BANK_SIZE] = {
    0x50,
    0xC0,
    0x0F,
    0x00,
    0x0F,
    0x70,
    0x00,
    0x13,
    0x02,
    0x3F,
    0x7F,
};

#endif
